Subject: Re: BUG: "cherry-pick A..B || git reset --hard OTHER"

From: Junio C Hamano <[email-masked]>
Date: Wed, 07 Dec 2016 12:04:27 -0800

Stephan Beyer <[email-masked]> writes:

> [1] By the way: git cherry-pick --quit, git rebase --forget ...
> different wording for the same thing makes things unintuitive.

It is not too late to STOP "--forget" from getting added to "rebase"
and give it a better name.

Having said that, I have a feeling that these options do not have to
exist; isn't their presence just a symptom that the "--abort" for
the command misbehaves?  Isn't the reason why there is no need for
"am --quit" because its "--abort" behaves more sensibly?